<?php $__env->startSection('title'); ?>
    <?php echo e(__('package')); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="content-wrapper">
        <div class="page-header">
            <h3 class="page-title">
                <?php echo e(__('manage') . ' ' . __('package')); ?>

            </h3>
        </div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card search-container">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-sm-12 col-md-6">
                                <h4 class="card-title">
                                    <?php echo e(__('create') . ' ' . __('package')); ?>

                                </h4>
                            </div>
                            <div class="col-sm-12 col-md-6 text-right">
                                <a href="<?php echo e(route('package.index')); ?>" class="btn btn-theme btn-sm"><?php echo e(__('back')); ?></a>
                            </div>
                        </div>

                        

                        <hr>
                        <form action="<?php echo e(route('package.store')); ?>" method="post" class="create-form"
                            novalidate="novalidate">
                            <?php echo csrf_field(); ?>
                            <div class="row">

                                <div class="form-group col-sm-12 col-md-12">
                                    <label for=""><?php echo e(__('type')); ?> <span class="text-danger">*</span></label>
                                    <div class="d-flex">
                                        <div class="form-check form-check-inline">
                                            <label class="form-check-label">
                                                <input type="radio" class="form-check-input package_type" name="type"
                                                    id="prepaid" value="0"><?php echo e(__('prepaid')); ?> </label>
                                        </div>
                                        <div class="form-check form-check-inline">
                                            <label class="form-check-label">
                                                <input type="radio" class="form-check-input package_type" name="type"
                                                    checked id="postpaid" value="1"><?php echo e(__('postpaid')); ?>

                                            </label>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group col-sm-12 col-md-6">
                                    <label for=""><?php echo e(__('name')); ?> <span class="text-danger">*</span></label>
                                    <?php echo Form::text('name', null, [
                                        'required',
                                        'class' => 'form-control',
                                        'placeholder' => __('package') . ' ' . __('name'),
                                    ]); ?>

                                </div>

                                <div class="form-group col-sm-12 col-md-6">
                                    <label for=""><?php echo e(__('description')); ?></label>
                                    <?php echo Form::textarea('description', null, [
                                        'class' => 'form-control',
                                        'placeholder' => __('description'),
                                        'rows' => '3',
                                    ]); ?>

                                </div>

                                <div class="form-group col-sm-12 col-md-6">
                                    <label for=""><?php echo e(__('tagline')); ?></label>
                                    <?php echo Form::text('tagline', null, ['class' => 'form-control', 'placeholder' => __('tagline')]); ?>

                                </div>

                                <div class="form-group col-sm-12 col-md-2">
                                    <label for="" class="day-label"><?php echo e(__('days')); ?></label> <span
                                        class="text-danger">*</span>
                                    <?php echo Form::number('days', null, [
                                        'required',
                                        'class' => 'form-control days',
                                        'min' => 1,
                                        'placeholder' => __('days'),
                                    ]); ?>

                                </div>

                                
                                <div class="postpaid col-sm-12 col-md-4">
                                    <div class="row">
                                        <div class="form-group col-sm-12 col-md-6">
                                            <label for=""
                                                class="student-label"><?php echo e(__('per_active_student_charges')); ?></label> <span
                                                class="text-danger">*</span>
                                            <?php echo Form::number('student_charge', null, [
                                                'required',
                                                'class' => 'form-control student-input',
                                                'min' => 0,
                                                'placeholder' => __('per_active_student_charges'),
                                            ]); ?>

                                        </div>

                                        <div class="form-group col-sm-12 col-md-6">
                                            <label for=""
                                                class="staff-label"><?php echo e(__('per_active_staff_charges')); ?></label>
                                            <span class="text-danger">*</span>
                                            <?php echo Form::number('staff_charge', null, [
                                                'required',
                                                'class' => 'form-control staff-input',
                                                'min' => 0,
                                                'placeholder' => __('per_active_staff_charges'),
                                            ]); ?>

                                        </div>
                                    </div>

                                </div>

                                
                                <div class="prepaid col-sm-12 col-md-4" style="display: none">
                                    <div class="row">
                                        <div class="form-group col-sm-12 col-md-6">
                                            <label for="" class="staff-label"><?php echo e(__('no_of_students')); ?> <span
                                                    class="text-small text-info"> (<?php echo e(__('active')); ?>)</span></label>
                                            <span class="text-danger">*</span>
                                            <?php echo Form::number('no_of_students', null, [
                                                'required',
                                                'class' => 'form-control',
                                                'min' => 1,
                                                'placeholder' => __('no_of_students'),
                                            ]); ?>

                                        </div>

                                        <div class="form-group col-sm-12 col-md-6">
                                            <label for="" class="staff-label"><?php echo e(__('no_of_staffs')); ?> <span
                                                    class="text-small text-info"> (<?php echo e(__('active')); ?>)</span></label>
                                            <span class="text-danger">*</span>
                                            <?php echo Form::number('no_of_staffs', null, [
                                                'required',
                                                'class' => 'form-control',
                                                'min' => 1,
                                                'placeholder' => __('no_of_staffs'),
                                            ]); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="prepaid form-group col-sm-12 col-md-2" style="display: none">
                                    <label for="" class="staff-label"><?php echo e(__('charges')); ?></label>
                                    <span class="text-danger">*</span>
                                    <?php echo Form::number('charges', null, [
                                        'required',
                                        'class' => 'form-control',
                                        'min' => 1,
                                        'placeholder' => __('charges'),
                                    ]); ?>

                                </div>

                            </div>

                            <div class="row">
                                <div class="col-sm-12 col-md-3">
                                    <div class="form-check">
                                        <label class="form-check-label d-inline">
                                            <input type="checkbox" class="form-check-input" name="highlight"
                                                value="1"><?php echo e(__('highlight')); ?> <?php echo e(__('package')); ?>

                                        </label>
                                    </div>
                                </div>
                            </div>

                            <hr>
                            
                            <div class="row">
                                <div class="col-sm-12 col-md-12 mb-3">
                                    <h4 class="card-title"><?php echo e(__('features')); ?></h4>
                                </div>
                                <?php $__currentLoopData = $features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $feature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="form-group col-sm-12 col-md-3">
                                        
                                        <?php if($feature->is_default == 1): ?>
                                            <input id="<?php echo e(__($feature->name)); ?>" class="feature-checkbox"
                                                <?php if($feature->is_default == 1): ?> checked disabled <?php endif; ?> type="checkbox"
                                                name="feature_id[]" value="<?php echo e($feature->id); ?>" />
                                            <label class="feature-list-default text-center"
                                                for="<?php echo e(__($feature->name)); ?>"
                                                title="<?php echo e(__('default_feature')); ?>"><?php echo e(__($feature->name)); ?></label>
                                            <input type="hidden" name="feature_id[]" value="<?php echo e($feature->id); ?>">
                                        <?php else: ?>
                                            <input id="<?php echo e(__($feature->name)); ?>" class="feature-checkbox"
                                                type="checkbox" name="feature_id[]" value="<?php echo e($feature->id); ?>" />
                                            <label class="feature-list text-center"
                                                for="<?php echo e(__($feature->name)); ?>"><?php echo e(__($feature->name)); ?></label>
                                        <?php endif; ?>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                            </div>
                            <hr>
                            
                            <input class="btn btn-theme float-right ml-3" id="create-btn" type="submit"
                                value=<?php echo e(__('submit')); ?>>
                            <input class="btn btn-secondary float-right" type="reset" value=<?php echo e(__('reset')); ?>>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('script'); ?>
    <script>
        $('.package_type').change(function(e) {
            e.preventDefault();
            if ($(this).val() == 1) {
                $('.postpaid').slideDown(500);
                $('.prepaid').slideUp(500);
            } else {
                $('.prepaid').slideDown(500);
                $('.postpaid').slideUp(500);
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/apeduservices.online/resources/views/package/create.blade.php ENDPATH**/ ?>